unit uWuerfeln_1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Grids, Buttons;

type
  TForm1 = class(TForm)
    AnzahlEin: TEdit;
    Label1: TLabel;
    StatistikAus: TListBox;
    Ausgabe: TButton;
    Button1: TButton;
    procedure AbbruchClick(Sender: TObject);
    procedure AusgabeClick(Sender: TObject);

  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  Anzahl : array[0..5] of integer;
implementation

{$R *.DFM}

procedure TForm1.AbbruchClick(Sender: TObject);
begin
  close;
end;

procedure TForm1.AusgabeClick(Sender: TObject);
var Zufallszahl,i, n : integer;
    
begin
  Randomize;
   if AnzahlEin.Text <>''
      then n := strtoint(AnzahlEin.text)
      else n := 0;
   for i := 1 to n do
     begin
       Zufallszahl := Random(6)+1;
       case Zufallszahl of
        1: Anzahl[0] := Anzahl[0]+1;
        2: Anzahl[1] := Anzahl[1]+1;
        3: Anzahl[2] := Anzahl[2]+1;
        4: Anzahl[3] := Anzahl[3]+1;
        5: Anzahl[4] := Anzahl[4]+1;
        6: Anzahl[5] := Anzahl[5]+1;
        end;
      end;
  StatistikAus.Clear;
  StatistikAus.Items.Add('Zahl    '+'Gewürfelt   '+'Wahrscheinlichkeit');
  StatistikAus.Items.Add('------------------------------------------------------------');
  for i := 0 to 5 do
  StatistikAus.Items.Add(format('%3d %12d %20.3f',[i+1,Anzahl[i],Anzahl[i]/n]));
  for i := 0 to 5 do Anzahl[i] :=0;
end;

end.
